### Method

# FwupdPlugin UdevDevice add_open_flag

since: 2.0.0

#### Declaration [src]

    void
    fu_udev_device_add_open_flag (
      FuUdevDevice* self,
      FuIoChannelOpenFlags flag
    )

#### Description [src]

Sets the parameters to use when opening the device.

For example `FU_IO_CHANNEL_OPEN_FLAG_READ` means that `fu_device_open()` would use `O_RDONLY` rather than `O_RDWR` which is the default.

Available since: 2.0.0

#### Parameters

`flag`

  Type: `FuIoChannelOpenFlags`

  Udev device flag, e.g. `FU_IO_CHANNEL_OPEN_FLAG_READ`.